Bug 446563 - Review Request: rubygem-rspec - Behaviour Driven Development framework for Ruby.
Review Request: rubygem-rspec - Behaviour Driven Development framework for Ruby.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 23:38 EDT by Michael Stahnke
Modified: 2014-06-18 04:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 01:17:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cdahlin: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Stahnke 2008-05-14 23:38:13 EDT
Spec URL:  http://stahnma.fedorapeople.org/reviews/rubygem-rspec.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/rubygem-rspec-1.1.3-1.fc8.src.rpm
Description: RSpec is a behaviour driven development (BDD) framework for Ruby.  RSpec was created in response to Dave Astels' article _A New Look at Test Driven
Development_ which can be read at: http://daveastels.com/index.php?p=5  RSpec
is intended to provide the features discussed in Dave's article.

Note:  I know rpmlint is not clean, but I wanted discussion on it.  The upstream gem ships 3 zero-byte files.  Also, there are 2 ruby files that the gem includes as 644 perms, and it's fine to leave them this way, but rpmlint doesn't like it.
Comment 2 Casey Dahlin 2008-10-15 17:09:48 EDT
You need the ruby(abi) requires and the ruby buildrequires
Comment 3 Michael Stahnke 2008-11-03 16:21:26 EST
Doesn't requiring rubygems imply that it requires ruby?  It would seem that requiring another package that requires these things should be ok.
Comment 4 Michael Stahnke 2008-11-03 16:29:16 EST
I updated the srpm either way; it's not a difficult update.  It doesn't make a ton of sense to me, but the packaging guidelines appear to concur with you. 

http://stahnma.fedorapeople.org/reviews/rubygem-rspec.spec
http://stahnma.fedorapeople.org/reviews/rubygem-rspec-1.1.8-2.fc9.src.rpm
Comment 5 Casey Dahlin 2008-11-03 16:35:40 EST
The buildrequires doesn't need to be ruby(abi), just ruby.

For the requires, you have to specify the abi version. ruby(abi) = 1.8 I assume
Comment 7 Casey Dahlin 2008-11-05 14:59:23 EST
Looks all right to me. Do you need sponsorship?
Comment 8 Jason Tibbitts 2008-11-05 21:29:07 EST
Nope, he's already in the packager group.
Comment 9 Casey Dahlin 2008-11-05 21:59:07 EST
Looks good to me.
Comment 10 Michael Stahnke 2008-11-06 09:47:00 EST
New Package CVS Request
=======================
Package Name: rubygem-rspec
Short Description: Behaviour Driven Development framework for Ruby
Owners: stahnma
Branches: F-8, F-9, F-10, EL-5
InitialCC:
Comment 11 Dennis Gilmore 2008-11-06 21:21:55 EST
CVS Done
Comment 12 Fedora Update System 2008-11-13 22:02:35 EST
rubygem-rspec-1.1.11-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rubygem-rspec-1.1.11-1.fc10
Comment 13 Fedora Update System 2008-11-13 22:03:43 EST
rubygem-rspec-1.1.11-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rubygem-rspec-1.1.11-1.fc9
Comment 14 Fedora Update System 2008-11-13 22:04:15 EST
rubygem-rspec-1.1.11-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/rubygem-rspec-1.1.11-1.fc8
Comment 15 Fedora Update System 2008-11-19 09:52:12 EST
rubygem-rspec-1.1.11-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-rspec'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-9741
Comment 16 Fedora Update System 2008-11-19 09:56:46 EST
rubygem-rspec-1.1.11-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-rspec'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9792
Comment 17 Fedora Update System 2008-11-22 11:58:59 EST
rubygem-rspec-1.1.11-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-rspec'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-10000
Comment 18 Fedora Update System 2008-11-26 01:17:22 EST
rubygem-rspec-1.1.11-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2008-11-26 01:18:39 EST
rubygem-rspec-1.1.11-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2008-11-26 01:20:58 EST
rubygem-rspec-1.1.11-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.